{
  "name": "bi",
  "version": "1.0.0",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1",
    "dev": "webpack-dev-server",
    "build": "webpack -p --progress --mode production --config webpack.config.js",
    "bd": "npm run set-d && gulp && node ./config/zip.js && npm run scp-d",
    "bt": "npm run set-t && gulp && node ./config/zip.js && npm run scp-t",
    "by": "npm run set-y && gulp && node ./config/zip.js && npm run scp-y",
    "scp-d": "cross-env NODE_ENV=develop node ./config",
    "scp-t": "cross-env NODE_ENV=test node ./config",
    "scp-y": "cross-env NODE_ENV=pre-release node ./config",
    "zip": "node ./config/zip.js",
    "set-d": "node ./config/changeConfig.js dev && npm run br",
    "set-t": "node ./config/changeConfig.js test && npm run br",
    "set-y": "node ./config/changeConfig.js pre && npm run br",
    "set-p": "node ./config/changeConfig.js prod && npm run br",
    "browserify_request": "browserify ./utils/request.js > utils/request_browserify.js",
    "br": "npm run browserify_request"
  },
  "devDependencies": {
    "css-loader": "^5.2.7",
    "extract-text-webpack-plugin": "^4.0.0-beta.0",
    "file-loader": "^6.2.0",
    "gulp-htmlmin": "^5.0.1",
    "gulp-minify-css": "^1.2.4",
    "gulp-uglify": "^3.0.2",
    "html-webpack-plugin": "^4.5.2",
    "jquery": "^3.6.0",
    "less-loader": "^4.1.0",
    "style-loader": "^2.0.0",
    "url-loader": "^4.1.1",
    "webpack": "^4.46.0",
    "webpack-cli": "^3.3.12"
  },
  "dependencies": {
    "@babel/core": "^7.15.0",
    "@babel/plugin-transform-runtime": "^7.15.0",
    "@babel/preset-env": "^7.15.0",
    "@babel/runtime": "^7.15.3",
    "browserify": "^17.0.0",
    "clean-webpack-plugin": "^4.0.0-alpha.0",
    "compressing": "^1.5.1",
    "cross-env": "^7.0.3",
    "del": "^6.0.0",
    "gulp": "^4.0.2",
    "gulp-babel": "^8.0.0",
    "gulp-connect": "^5.7.0",
    "gulp-imagemin": "5.0.1",
    "jszip": "^3.7.1",
    "scp2": "0.5.0",
    "ssh2-sftp-client": "6.0.1",
    "webpack-dev-server": "^3.11.2"
  }
}
